Package com.ocient.jdbc.proto

# Class ClientWireProtocol.LocalCancelQuery.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.LocalCancelQuery.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.LocalCancelQueryOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.LocalCancelQuery

    public static final class ClientWireProtocol.LocalCancelQuery.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>
    implements ClientWireProtocol.LocalCancelQueryOrBuilder

Protobuf type `xg.cmdcomp.LocalCancelQuery`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.LocalCancelQuery.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.LocalCancelQuery` | `build()` |
`ClientWireProtocol.LocalCancelQuery` | `buildPartial()` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `clear()` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `clearSql()` | This is the UUID of the query in string form (e.g.
`ClientWireProtocol.LocalCancelQuery.Builder` | `clone()` |
`ClientWireProtocol.LocalCancelQuery` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`String` | `getSql()` | This is the UUID of the query in string form (e.g.
`com.google.protobuf.ByteString` | `getSqlBytes()` | This is the UUID of the query in string form (e.g.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `mergeFrom​(ClientWireProtocol.LocalCancelQuery other)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.LocalCancelQuery.Builder` | `setSql​(String value)` | This is the UUID of the query in string form (e.g.
`ClientWireProtocol.LocalCancelQuery.Builder` | `setSqlBytes​(com.google.protobuf.ByteString value)` | This is the UUID of the query in string form (e.g.
`ClientWireProtocol.LocalCancelQuery.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### clear

public ClientWireProtocol.LocalCancelQuery.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.LocalCancelQuery getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.LocalCancelQuery build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.LocalCancelQuery buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.LocalCancelQuery.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### setField

public ClientWireProtocol.LocalCancelQuery.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### clearField

public ClientWireProtocol.LocalCancelQuery.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### clearOneof

public ClientWireProtocol.LocalCancelQuery.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### setRepeatedField

public ClientWireProtocol.LocalCancelQuery.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### addRepeatedField

public ClientWireProtocol.LocalCancelQuery.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### mergeFrom

public ClientWireProtocol.LocalCancelQuery.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### mergeFrom

public ClientWireProtocol.LocalCancelQuery.Builder mergeFrom​(ClientWireProtocol.LocalCancelQuery other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### mergeFrom

public ClientWireProtocol.LocalCancelQuery.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`
Throws:
  `IOException`

### getSql

public String getSql()

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

Specified by:
  `getSql` in interface `ClientWireProtocol.LocalCancelQueryOrBuilder`

### getSqlBytes

public com.google.protobuf.ByteString getSqlBytes()

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.LocalCancelQueryOrBuilder`

### setSql

public ClientWireProtocol.LocalCancelQuery.Builder setSql​(String value)

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

### clearSql

public ClientWireProtocol.LocalCancelQuery.Builder clearSql()

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

### setSqlBytes

public ClientWireProtocol.LocalCancelQuery.Builder setSqlBytes​(com.google.protobuf.ByteString value)

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

### setUnknownFields

public final ClientWireProtocol.LocalCancelQuery.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.LocalCancelQuery.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalCancelQuery.Builder>`